TaggableSections
Introduction
TaggableSections define the different areas or modules in the system where tags can be assigned and managed. They are used to restrict, group, or organize tags for specific use cases.
A TaggableSection can have restrictions on which Tags or TagGroups are allowed, and can define a default TagGroup to use when creating Tags for that section.
Model Definition
Alias
taggableSection
Relations
restrictedTags
Morph to many
taggable_section_restrictbale.restrictable_type, taggable_section_restrictbale.restrictable_id
restrictedTagGroups
Morph to many
taggable_section_restrictbale.restrictable_type, taggable_section_restrictbale.restrictable_id
Available Sections
departments- The allowed Tags for Departments.infoboard- The allowed Tags for InfoboardPosts.manual- The allowed Tags for ManualChapters and ManualEntries.tasks- The allowed tags for TaskTemplates, TaskTemplateCompositions, and TaskAssignments.
List
List available TaggableSections.
Definition
GET /api/tags/sections
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
Default relations
Pipe-separated relations to include.
Example Request
Example Response
Show
Show one available TaggableSection.
Definition
GET /api/tags/sections/{taggableSection}
Route Parameters
taggableSection
string
TaggableSection ID.
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
Default relations
Pipe-separated relations to include.
Example Request
Example Response
Admin: List
List all TaggableSections in administration scope.
Definition
GET /api/administration/tags/sections
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
Default relations
Pipe-separated relations to include.
Example Request
Example Response
Admin: Show
Show one TaggableSection in administration scope.
Definition
GET /api/administration/tags/sections/{taggableSection}
Route Parameters
taggableSection
string
TaggableSection ID.
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
Default relations
Pipe-separated relations to include.
Example Request
Example Response
Admin: Update
Update a TaggableSection by id.
Definition
PUT /api/administration/tags/sections/{taggableSection}
Route Parameters
taggableSection
string
TaggableSection ID.
Request Keys
restricted_tag_group_ids
array
Current restrictions
Objects with TagGroup id and optional recursive.
Example Request
Example Response
Last updated